/*----------------------------------------------------------------------------------------------------------
* File name:          main.c
* Author:             sunrom.com 
* Date:               2015-9-28
*-----------------------------------------------------------------------------------------------------------
*/

#include "stm32f4xx.h"
#include "led.h"
#include "rtc.h"
#include "key.h"
#include "spi_flash.h"

/*
*--------------------------------------------------------------------------------------------------------
* Function:         delay_ms
* Description:      Delay function
* Input:            dly The greater the value the longer the delay
*---------------------------------------------------------------------------------------------------------
*/
void  delay_ms (u32  dly)
{
    volatile  u32  i,j;

    for (i = 0; i < dly; i++) 
    {
        for (j = 0; j < 1000; j++) 
        {				
        }
    }
}


/*
*--------------------------------------------------------------------------------------------------------
* Function:           main
* Description: This routine set and read the RTC clock to achieve read and W25Q32 ID, when the second update is detected negated when LED1 flashes, if
* A button is pressed W25Q32 ID LED1 flashes quickly when read correctly, otherwise slow flashing.              
*---------------------------------------------------------------------------------------------------------
*/
int  main (void)
{ 
    u8   second_buf;
    u16  temp;

    led_init();                                         /* LED initialization                        */
    key_init();                                         /* Key Initialization                       */
    spi_flash_init();                                   /* spi_flash hardware interface initialization           */
    rtc_init();                                         /* RTC initialization                         */
    
    if(W25Q32 == spi_flash_read_device_ID())
    {
        temp = 0;
    }    
    else
    {
        temp = 3000;
    }   

    while (1) 
    {
        if(KEY_VALUE_URSER_BUTTON == get_key_state())   /* To determine whether a button is pressed                 */
        {
            led1_negation();
            delay_ms(temp + 500);
        }
        else
        {
            rtc_get_time();
            if(second_buf != g_current_time.second)
            {
                led1_negation();
                second_buf = g_current_time.second;
            }
        }
    }
}

