#include "stm32f4xx.h"
#include "led.h"


/*
*--------------------------------------------------------------------------------------------------------
* Function:          led_init
* Description:       ST-M3-LITE-407VE Streamline the development board has a pin connector of the LED light-emitting diode,
                     GPIOC.2--LED1The role of this function is to initialize its respective pin.
*---------------------------------------------------------------------------------------------------------
*/

void  led_init (void)
{ 
	
    GPIO_InitTypeDef GPIO_InitStructure;
    
    RCC_AHB1PeriphClockCmd(RCC_AHB1Periph_GPIOC, ENABLE);    /* Enable port PORTC Clock                                  */  	 
    
    GPIO_InitStructure.GPIO_Pin   = led1_output;               
    GPIO_InitStructure.GPIO_Speed  = GPIO_Speed_50MHz;
	GPIO_InitStructure.GPIO_Mode   = GPIO_Mode_OUT;
    GPIO_InitStructure.GPIO_OType  = GPIO_OType_PP;
	GPIO_InitStructure.GPIO_PuPd   = GPIO_PuPd_UP;
    GPIO_Init(GPIO_LED, &GPIO_InitStructure);                /* GPIOC.2 for the push-pull output configuration pins, IO maximum speed 50M            */
	
    GPIO_SetBits(GPIO_LED, led1_output);   

# if 1    /* IO    */
	
	
    RCC_AHB1PeriphClockCmd(RCC_AHB1Periph_GPIOA |
	                       RCC_AHB1Periph_GPIOB |
	                       RCC_AHB1Periph_GPIOC | 
	                       RCC_AHB1Periph_GPIOD |
                           RCC_AHB1Periph_GPIOE, ENABLE);    /* Enable Port Clock                                    */  	 
    
    GPIO_InitStructure.GPIO_Pin   = GPIO_Pin_0  |
                                    GPIO_Pin_1  |
                                    GPIO_Pin_2  |
                                    GPIO_Pin_3  |
                                    GPIO_Pin_4  |
                                    GPIO_Pin_5  |
                                    GPIO_Pin_6  |
                                    GPIO_Pin_7  |
                                    GPIO_Pin_8  |
                                    GPIO_Pin_9  |
                                    GPIO_Pin_10 |
                                    GPIO_Pin_11 |
                                    GPIO_Pin_12;																		
    GPIO_InitStructure.GPIO_Mode  = GPIO_Mode_OUT;
    GPIO_InitStructure.GPIO_OType = GPIO_OType_PP;
    GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;
    GPIO_Init(GPIOA, &GPIO_InitStructure);                   /* Configuration pins GPIOA.0 ~ GPIOA.12 push-pull output, IO maximum speed 50M  */
	
    GPIO_InitStructure.GPIO_Pin   = GPIO_Pin_0  |
                                    GPIO_Pin_1  |
                                    GPIO_Pin_2  |
                                    GPIO_Pin_5  |
                                    GPIO_Pin_6  |
                                    GPIO_Pin_7  |
                                    GPIO_Pin_8  |
                                    GPIO_Pin_9  |
                                    GPIO_Pin_10 |
                                    GPIO_Pin_11 | 
                                    GPIO_Pin_12 |
                                    GPIO_Pin_13 |
                                    GPIO_Pin_14 |
                                    GPIO_Pin_15;																		
    GPIO_InitStructure.GPIO_Mode  = GPIO_Mode_OUT;
    GPIO_InitStructure.GPIO_OType = GPIO_OType_PP;
    GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;
    GPIO_Init(GPIOB, &GPIO_InitStructure);                   	
	
    GPIO_InitStructure.GPIO_Pin   = GPIO_Pin_0  |
                                    GPIO_Pin_1  |
                                    GPIO_Pin_2  |
                                    GPIO_Pin_3  |																		
                                    GPIO_Pin_4  |
                                    GPIO_Pin_5  |
                                    GPIO_Pin_6  |
                                    GPIO_Pin_7  |
                                    GPIO_Pin_8  |
                                    GPIO_Pin_9  |
                                    GPIO_Pin_10 |
                                    GPIO_Pin_11 | 
                                    GPIO_Pin_12 |
                                    GPIO_Pin_13;																		
    GPIO_InitStructure.GPIO_Mode  = GPIO_Mode_OUT;
    GPIO_InitStructure.GPIO_OType = GPIO_OType_PP;
    GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;
    GPIO_Init(GPIOC, &GPIO_InitStructure);   
	
    GPIO_InitStructure.GPIO_Pin   = GPIO_Pin_0  |
                                    GPIO_Pin_1  |
                                    GPIO_Pin_2  |
                                    GPIO_Pin_3  |																		
                                    GPIO_Pin_4  |
                                    GPIO_Pin_5  |
                                    GPIO_Pin_6  |
                                    GPIO_Pin_7  |
                                    GPIO_Pin_8  |
                                    GPIO_Pin_9  |
                                    GPIO_Pin_10 |
                                    GPIO_Pin_11 | 
                                    GPIO_Pin_12 |
                                    GPIO_Pin_13 |
                                    GPIO_Pin_14 | 
                                    GPIO_Pin_15;																		
    GPIO_InitStructure.GPIO_Mode  = GPIO_Mode_OUT;
    GPIO_InitStructure.GPIO_OType = GPIO_OType_PP;
    GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;
    GPIO_Init(GPIOD, &GPIO_InitStructure);

    GPIO_InitStructure.GPIO_Pin   = GPIO_Pin_0  |
                                    GPIO_Pin_1  |
                                    GPIO_Pin_2  |
                                    GPIO_Pin_3  |																		
                                    GPIO_Pin_4  |
                                    GPIO_Pin_5  |
                                    GPIO_Pin_6  |
                                    GPIO_Pin_7  |
                                    GPIO_Pin_8  |
                                    GPIO_Pin_9  |
                                    GPIO_Pin_10 |
                                    GPIO_Pin_11 | 
                                    GPIO_Pin_12 |
                                    GPIO_Pin_13 |
                                    GPIO_Pin_14 | 
                                    GPIO_Pin_15;																		
    GPIO_InitStructure.GPIO_Mode  = GPIO_Mode_OUT;
    GPIO_InitStructure.GPIO_OType = GPIO_OType_PP;
    GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;
    GPIO_Init(GPIOE, &GPIO_InitStructure); 
		
    GPIOA->ODR &= 0xE000;                       
    GPIOB->ODR &= 0x0018;
    GPIOC->ODR &= 0xC000;                      
    GPIOD->ODR &= 0x0000;                       
    GPIOE->ODR &= 0x0000;                       /* IO corresponding output low                                 */
		
    GPIOA->ODR |= ~0xE000;                       
    GPIOB->ODR |= ~0x0018;
    GPIOC->ODR |= ~0xC000;                      
    GPIOD->ODR |= ~0x0000;                      
    GPIOE->ODR |= ~0x0000;                      /* IO corresponding output high                                    */
				
#endif    
}


/*
*--------------------------------------------------------------------------------------------------------
* Function:         led_all_on
*---------------------------------------------------------------------------------------------------------
*/
void  led_all_on (void)
{
    led1_on();
}

/*
*--------------------------------------------------------------------------------------------------------
* Function:         led_all_off
*---------------------------------------------------------------------------------------------------------
*/

void   led_all_off (void)
{
    led1_off();
}

/*
*--------------------------------------------------------------------------------------------------------
* Function:         led_all_negation
* Description:      LED Toggle
*---------------------------------------------------------------------------------------------------------
*/

void   led_all_negation (void)
{
    led1_negation();
}












